% Script file for visualizing ex1

% make function f
f = @(x1, x2) x1.^2 .* x2.^2 + (x2.^2 -1).^2;

% choose scenario
scenario = 3;

switch scenario

  case 1  % overview
      dx = 0.05
      [x1, x2] = meshgrid(-3:dx:3, -2:dx:2);
      zrange = [-0.5, 2.0];

  case 2  % half side
      dx = 0.05;
      [x1, x2] = meshgrid( 0:dx:3, -2:dx:2);
      zrange = [-0.5, 2.0];

  case 3  % around x1 = sqrt(2)
      dx = 0.01;
      e = 0.2;
      [x1,x2] = meshgrid((sqrt(2)-e):dx:(sqrt(2)+e), -e:dx:e);
      zrange = [1-e^2 1+e^2];

end

figure(333); clf;
surf(x1,x2,f(x1,x2));
xlabel('x1');
ylabel('x2');
zlim(zrange);
caxis(zlim);
title('f  =  x_1^2 x_2^2  +  (x_2^2 -1)^2');


set(0, "defaulttextfontsize", 48)  % title
set(0, "defaultaxesfontsize", 36)  % axes labels

